/* team ADT */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "olympics.h"

struct team *create_team(void)
{
	struct team *ret;

   ret = (struct team *)malloc(sizeof(*ret));
   if (ret != NULL)
   { /* memory allocated - initialize */
   	memset(ret, sizeof(*ret), '\0'); /* clear memory */
      ret->athletes = create_ptr_prodlist(TEAM_ATHLETES);
      if (ret->athletes == NULL)
      { /* memory problems */
      	free(ret);
         ret = NULL;
      }
   }

   return ret;
}

void display_team(struct team *t)
{
	int i;
   struct athlete *a;

   printf("\tTeam %d: %s, score %.2f, rank %d\n",
   	t->id, t->country, t->score, t->rank);
   printf("\t%d athletes:\n", t->athletes->nitems);

   for (i=0; i < t->athletes->nitems; i++)
   {
   	a = (struct athlete *)t->athletes->item[i];
      display_athlete(a);
   }
}

